Docking sidebar in EJ2 JavaScript Sidebar control

2 May 20237 minutes to read

Dock state of the Sidebar reserves some space on the page that always remains in a visible state when the Sidebar is collapsed. It is used to show the short term of a content like icons alone instead of lengthy text. To achieve this , set enableDock as true along with required dockSize.

In the following sample, the list item has icon with text representation. On dock state, only icons in list will be visible to represent the hint of the hidden text content.

ej.base.enableRipple(true);
   //sidebar initialization
   var dockbar = new ej.navigations.Sidebar({
        width: '220px',
        dockSize: '72px',
        enableDock: true
    });
    dockbar.appendTo('#dockSidebar');
    //end of sidebar initialization

    document.getElementById('toggle').onclick = function() {
        dockbar.toggle();
    };
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Sidebar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.3/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-navigations/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/25.1.35/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <!-- sidebar element declaration -->
        <aside id="dockSidebar">
            <div class="dock">
                <ul>
                    <li class="sidebar-item" id="toggle">
                        <span class="e-icons expand"></span>
                        <span class="e-text" title="menu">Menu</span>
                    </li>
                    <li class="sidebar-item">
                        <span class="e-icons home"></span>
                        <span class="e-text" title="home">Home</span>
                    </li>
                    <li class="sidebar-item">
                        <span class="e-icons profile"></span>
                        <span class="e-text" title="profile">Profile</span>
                    </li>
                    <li class="sidebar-item">
                        <span class="e-icons info"></span>
                        <span class="e-text" title="info">Info</span>
                    </li>
                    <li class="sidebar-item">
                        <span class="e-icons settings"></span>
                        <span class="e-text" title="settings">Settings</span>
                    </li>
                </ul>
            </div>
        </aside>
        <!-- end of sidebar element -->
        <!-- main content declaration -->
        <div id="main-content container-fluid col-md-12 ">
            <div class="title">Main content</div>
            <div class="sub-title"> Click the expand icon to open and collapse icons to close the Sidebar.</div>
        </div>
        <!--end of main content -->
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

See Also

Docking sidebar in Angular Sidebar component

28 Sep 20236 minutes to read

Dock state of the Sidebar reserves some space on the page that always remains in a visible, when the Sidebar is in collapsed state. It is used to show the short form of a content like icons alone instead of lengthy text. To achieve this , set enableDock as true along with required dockSize.

import { Component, ViewChild } from '@angular/core';
import { SidebarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: ` <ejs-sidebar #dockBar id="dockSidebar" [enableDock]='enableDock' [width]='width' [dockSize]='dockSize'>
                    <div class="dock">
                        <ul>
                            <li class="sidebar-item" id="toggle" (click)="toggleClick()">
                                <span class="e-icons expand"></span>
                                <span class="e-text" title="menu">Menu</span>
                            </li>
                            <li class="sidebar-item">
                                <span class="e-icons home"></span>
                                <span class="e-text" title="home">Home</span>
                            </li>
                            <li class="sidebar-item">
                                <span class="e-icons profile"></span>
                                <span class="e-text" title="profile">Profile</span>
                            </li>
                            <li class="sidebar-item">
                                <span class="e-icons info"></span>
                                <span class="e-text" title="info">Info</span>
                            </li>
                            <li class="sidebar-item">
                                <span class="e-icons settings"></span>
                                <span class="e-text" title="settings">Settings</span>
                            </li>
                        </ul>
                    </div>
                </ejs-sidebar>
                <div id="main-content container-fluid col-md-12 ">
                    <div class="title">Main content</div>
                    <div class="sub-title"> Click the expand icon to open and collapse icons to close the Sidebar.</div>
                </div>
                <div>
                </div>`
})
export class AppComponent {
    @ViewChild('dockBar') dockBar?: SidebarComponent;
    public enableDock: boolean = true;
    public width: string = '220px';
    public dockSize: string = '72px';
    toggleClick() {
        this.dockBar?.toggle();
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SidebarModule } from '@syncfusion/ej2-angular-navigations';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        SidebarModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

See Also

Docking sidebar in React Sidebar component

29 Aug 202313 minutes to read

Dock state of the Sidebar reserves some space on the page that always remains in a visible state when the Sidebar is collapsed. It is used to show the short term of a content like icons alone instead of lengthy text. To achieve this , set enableDock as true along with required dockSize.

In the following sample, the list item has icon with text representation. On dock state, only icons in list will be visible to represent the hint of the hidden text content.

import { SidebarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
function App() {
    let dockBar;
    // Toggle(Open/Close) the Sidebar
    function toggleClick() {
        dockBar.toggle();
    }
    return (<div className="control-section">
            <div id="wrapper">
                {/* Initializing the Sidebar component */}
                <SidebarComponent id="dockSidebar" ref={Sidebar => dockBar = Sidebar} enableDock={true} dockSize="72px" width="220px">
                    <div className="dock">
                        <ul>
                            <li className="sidebar-item" id="toggle" onClick={toggleClick}>
                                <span className="e-icons expand"/>
                                <span className="e-text" title="menu">Menu</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons home"/>
                                <span className="e-text" title="home">Home</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons profile"/>
                                <span className="e-text" title="profile">Profile</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons info"/>
                                <span className="e-text" title="info">Info</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons settings"/>
                                <span className="e-text" title="settings">Settings</span>
                            </li>
                        </ul>
                    </div>
                </SidebarComponent>
                <div id="main-content container-fluid col-md-12 ">
                    <div className="title">Main content</div>
                    <div className="sub-title"> Click the expand icon to open and collapse icons to close the Sidebar</div>
                </div>
            </div>
        </div>);
}
export default App;
import { SidebarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';


function App() {
    let dockBar: SidebarComponent;
    // Toggle(Open/Close) the Sidebar
    function toggleClick() {
        dockBar.toggle();
    }
    return (
        <div className="control-section">
            <div id="wrapper">
                {/* Initializing the Sidebar component */}
                <SidebarComponent id="dockSidebar" ref={Sidebar => dockBar = Sidebar as SidebarComponent} enableDock={true} dockSize="72px" width="220px" >
                    <div className="dock">
                        <ul>
                            <li className="sidebar-item" id="toggle" onClick={toggleClick} >
                                <span className="e-icons expand"/>
                                <span className="e-text" title="menu">Menu</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons home"/>
                                <span className="e-text" title="home">Home</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons profile"/>
                                <span className="e-text" title="profile">Profile</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons info"/>
                                <span className="e-text" title="info">Info</span>
                            </li>
                            <li className="sidebar-item">
                                <span className="e-icons settings"/>
                                <span className="e-text" title="settings">Settings</span>
                            </li>
                        </ul>
                    </div>
                </SidebarComponent>
                <div id="main-content container-fluid col-md-12 ">
                    <div className="title">Main content</div>
                    <div className="sub-title"> Click the expand icon to open and collapse icons to close the Sidebar</div>
                </div>
            </div>
        </div>
    )
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App  from './App';

ReactDOM.render(<App />, document.getElementById('sample'));

See Also